### Hierarchy

- RecordVisitor
  - BriefcaseVisitor

### Implements

- JsonObjectVisitor

## Index

### Constructors

- constructor

### Properties

- ONLINE_PROPERTY_NAME

### Methods

- copyAsJsonObject
- copyAsJsonString
- enclosedJsonObject
- visitAndSetOnline
- visitAndSetPropertyValueAt
- visitOnline
- visitProperties
- visitPropertyValueAt
- visitRecordId
- visitAndSetOnline
- visitAndSetPropertyValueAt
- visitPropertyValueAt

## Constructors

### constructor

- new BriefcaseVisitor(value: string | object): BriefcaseVisitor

- Overrides RecordVisitor.constructor

  - Defined in ppm/BriefcaseVisitor.ts:8

  #### Parameters

  - ##### value: string | object

  #### Returns BriefcaseVisitor

## Properties

### Static Private ONLINE_PROPERTY_NAME

ONLINE_PROPERTY_NAME: string = "online"

- Defined in ppm/BriefcaseVisitor.ts:8

## Methods

### copyAsJsonObject

- copyAsJsonObject(): object

- Implementation of JsonObjectVisitor.copyAsJsonObject

  Inherited from RecordVisitor.copyAsJsonObject

  - Defined in proxy/RecordVisitor.ts:44

  #### Returns object

### copyAsJsonString

- copyAsJsonString(): string

- Implementation of JsonObjectVisitor.copyAsJsonString

  Inherited from RecordVisitor.copyAsJsonString

  - Defined in proxy/RecordVisitor.ts:48

  #### Returns string

### enclosedJsonObject

- enclosedJsonObject(): any

- Implementation of JsonObjectVisitor.enclosedJsonObject

  Inherited from RecordVisitor.enclosedJsonObject

  - Defined in proxy/RecordVisitor.ts:52

  #### Returns any

### visitAndSetOnline

- visitAndSetOnline(onlineValue: boolean): void

- - Defined in ppm/BriefcaseVisitor.ts:26

  #### Parameters

  - ##### onlineValue: boolean

  #### Returns void

### visitAndSetPropertyValueAt

- visitAndSetPropertyValueAt(propertyName: string, value: any): void

- Inherited from RecordVisitor.visitAndSetPropertyValueAt

  - Defined in proxy/RecordVisitor.ts:67

  #### Parameters

  - ##### propertyName: string

  - ##### value: any

  #### Returns void

### visitOnline

- visitOnline(): boolean

- - Defined in ppm/BriefcaseVisitor.ts:22

  #### Returns boolean

### visitProperties

- visitProperties(): IterableIterator<PropertyVisitor>

- Inherited from RecordVisitor.visitProperties

  - Defined in proxy/RecordVisitor.ts:87

  #### Returns IterableIterator<PropertyVisitor>

### visitPropertyValueAt

- visitPropertyValueAt(propertyName: string): any

- Inherited from RecordVisitor.visitPropertyValueAt

  - Defined in proxy/RecordVisitor.ts:58

  #### Parameters

  - ##### propertyName: string

  #### Returns any

### visitRecordId

- visitRecordId(): string

- Inherited from RecordVisitor.visitRecordId

  - Defined in proxy/RecordVisitor.ts:94

  #### Returns string

### Static visitAndSetOnline

- visitAndSetOnline(jsonObject: object, online: boolean): void

- - Defined in ppm/BriefcaseVisitor.ts:16

  #### Parameters

  - ##### jsonObject: object

  - ##### online: boolean

  #### Returns void

### Static visitAndSetPropertyValueAt

- visitAndSetPropertyValueAt(record: object, propertyName: string, value: any): void

- Inherited from RecordVisitor.visitAndSetPropertyValueAt

  - Defined in proxy/RecordVisitor.ts:38

  #### Parameters

  - ##### record: object

  - ##### propertyName: string

  - ##### value: any

  #### Returns void

### Static visitPropertyValueAt

- visitPropertyValueAt(record: object, propertyName: string): any

- Inherited from RecordVisitor.visitPropertyValueAt

  - Defined in proxy/RecordVisitor.ts:34

  #### Parameters

  - ##### record: object

  - ##### propertyName: string

  #### Returns any

Generated using TypeDoc